# https://pypi.python.org/packages/57/a8/70bb00ea0b71680afdc89779fbbb58d53c9a4da1818d5ef5359b179b46d1/pyephem-3.7.6.0.tar.gz
%global module ephem

Name:           python-%{module}
Version:        3.7.6.0
Release:        %mkrel 3
Summary:        Compute positions of the planets and stars

License:        LGPLv3
Group:          Development/Python
URL:            http://rhodesmill.org/%{name}
Source0:        pyephem-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python3-devel
Provides:       pyephem = %{version}-%{release}

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Provides:       pyephem3 = %{version}-%{release}

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn pyephem-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc COPYING LICENSE-* PKG-INFO README.rst
%{python2_sitearch}/*
%exclude %{python2_sitearch}/%{module}/tests

%files -n python3-%{module}
%doc COPYING LICENSE-* PKG-INFO README.rst
%{python3_sitearch}/*
%exclude %{python3_sitearch}/%{module}/tests

%changelog
* Mon Aug 22 2022 tex - 3.7.6.0-3pclos2022
- rebuild against updates

* Sat Apr 14 2018 marcin82 <fixxer1982 at gmail.com> 3.7.6.0-2pclos2018
- rebuild with python 3.6.5

* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> - 3.7.6.0-1pclos2017
- Build python3 version
- Updated build for PCLinuxOS
